package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(student_pre_registration):
 */
public class StudentPreRegistration extends BaseStudentDto {

	/**  */
	private Long id;
	
	private String musicGroupId;
	
	private String school;

	/** 第一专业 */
	private Integer subjectFirst;
	
	/** 第二专业 */
	private Integer subjectSecond;
	
	/** 老师推荐声部 */
	private Integer teacherRecommandSubjectId;
	
	/** 选报声部 */
	private Integer selectionSubjectId;
	
	/** 是否允许调剂 */
	private boolean isAllowAdjust;
	
	/** 乐器提供方式 */
	private String kitPurchaseMethod;

	/** 云教练提供方式 */
	private String cloudTeacherMethod;
	
	/** 创建时间 */
	private java.util.Date createTime;

	// 2022 add new field
	/** 家长姓名 **/
	private String parentName;

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public String getSchool() {
		return school;
	}

	public void setSchool(String school) {
		this.school = school;
	}

	public void setSubjectFirst(Integer subjectFirst){
		this.subjectFirst = subjectFirst;
	}
	
	public Integer getSubjectFirst(){
		return this.subjectFirst;
	}
			
	public void setSubjectSecond(Integer subjectSecond){
		this.subjectSecond = subjectSecond;
	}
	
	public Integer getSubjectSecond(){
		return this.subjectSecond;
	}
			
	public Integer getTeacherRecommandSubjectId() {
		return teacherRecommandSubjectId;
	}

	public void setTeacherRecommandSubjectId(Integer teacherRecommandSubjectId) {
		this.teacherRecommandSubjectId = teacherRecommandSubjectId;
	}

	public Integer getSelectionSubjectId() {
		return selectionSubjectId;
	}

	public void setSelectionSubjectId(Integer selectionSubjectId) {
		this.selectionSubjectId = selectionSubjectId;
	}

	public void setIsAllowAdjust(boolean isAllowAdjust){
		this.isAllowAdjust = isAllowAdjust;
	}
	
	public boolean getIsAllowAdjust(){
		return this.isAllowAdjust;
	}
			
	public void setKitPurchaseMethod(String kitPurchaseMethod){
		this.kitPurchaseMethod = kitPurchaseMethod;
	}
	
	public String getKitPurchaseMethod(){
		return this.kitPurchaseMethod;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getCloudTeacherMethod() {
		return cloudTeacherMethod;
	}

	public void setCloudTeacherMethod(String cloudTeacherMethod) {
		this.cloudTeacherMethod = cloudTeacherMethod;
	}

	public boolean isAllowAdjust() {
		return isAllowAdjust;
	}

	public void setAllowAdjust(boolean allowAdjust) {
		isAllowAdjust = allowAdjust;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}
}
